curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/voice-outcomes' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"count": 1,
"ok": true,
"outcomes": [
{
"agent_name": null,
"billable_sku": null,
"billing_status": "string",
"call_sid": null,
"call_type": null,
"created_at": "2026-07-24T12:00:00Z",
"customer_phone": null,
"disposition": null,
"duration_seconds": null,
"escalated": true,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metadata": null,
"occurred_at": "2026-07-24T12:00:00Z",
"org_id": null,
"outcome_source": "string",
"primary_intent": null,
"resolution": "string",
"risk_level": null,
"stream_sid": "string",
"tenant_id": "string",
"updated_at": "2026-07-24T12:00:00Z"
}
],
"tenant": "string"
}
List Voice Outcomes
Tenant-scoped endpoint for persisted voice session records, stream lookup, and evaluation history.
GET
/
api
/
v1
/
voice-outcomes
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/voice-outcomes' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"count": 1,
"ok": true,
"outcomes": [
{
"agent_name": null,
"billable_sku": null,
"billing_status": "string",
"call_sid": null,
"call_type": null,
"created_at": "2026-07-24T12:00:00Z",
"customer_phone": null,
"disposition": null,
"duration_seconds": null,
"escalated": true,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metadata": null,
"occurred_at": "2026-07-24T12:00:00Z",
"org_id": null,
"outcome_source": "string",
"primary_intent": null,
"resolution": "string",
"risk_level": null,
"stream_sid": "string",
"tenant_id": "string",
"updated_at": "2026-07-24T12:00:00Z"
}
],
"tenant": "string"
}
Tenant-scoped endpoint for persisted voice session records, stream lookup, and evaluation history.
Query parameters
string
string
string
string
integer (int64)
integer (int64)
Response
VoiceOutcomesListResponse
integer
required
boolean
required
VoiceOutcome[]
required
Show VoiceOutcome
Show VoiceOutcome
string,null
string,null
string
required
string,null
string,null
string (date-time)
required
string,null
any
required
integer,null (int32)
boolean
required
string (uuid)
required
any
required
string (date-time)
required
string,null
string
required
string,null
string
required
string,null
string
required
string
required
string (date-time)
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | List canonical voice outcomes |
400 | Invalid query |
401 | Unauthorized |
503 | Database not configured |
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/voice-outcomes' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"count": 1,
"ok": true,
"outcomes": [
{
"agent_name": null,
"billable_sku": null,
"billing_status": "string",
"call_sid": null,
"call_type": null,
"created_at": "2026-07-24T12:00:00Z",
"customer_phone": null,
"disposition": null,
"duration_seconds": null,
"escalated": true,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metadata": null,
"occurred_at": "2026-07-24T12:00:00Z",
"org_id": null,
"outcome_source": "string",
"primary_intent": null,
"resolution": "string",
"risk_level": null,
"stream_sid": "string",
"tenant_id": "string",
"updated_at": "2026-07-24T12:00:00Z"
}
],
"tenant": "string"
}